openSUSE Security Update : freetype2 (openSUSE-SU-2012:0015-1)

High Nessus Plugin ID 75507


The remote openSUSE host is missing a security update.


This update of freetype2 fixes multiple security flaws that could allow attackers to cause a denial of service or to execute arbitrary code via specially crafted fonts (CVE-2011-3256, CVE-2011-3439).


Update the affected freetype2 packages.

See Also

Plugin Details

Severity: High

ID: 75507

File Name: suse_11_3_freetype2-111216.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/06/13

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:freetype2-devel, p-cpe:/a:novell:opensuse:freetype2-devel-32bit, p-cpe:/a:novell:opensuse:libfreetype6, p-cpe:/a:novell:opensuse:libfreetype6-32bit, cpe:/o:novell:opensuse:11.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2011/12/16

Reference Information

CVE: CVE-2011-3256, CVE-2011-3439